﻿////////////////////////////////////////////////////////////////
///
/// File: BodyEventArgs.cs
/// Author: Lucio Davide Spano
/// Last update: 27 July 2012
/// Description: This class represent the event arguments for 
///              the Kinect platform
/// To do: 
/// ------------------------------------------------------------
/// Copyright (c) 2012 Lucio Davide Spano 
///                     (lucio.davide.spano@isti.cnr.it)
/// 
/// The use and distribution terms for this software are 
/// contained in the file named license.txt, which can be found 
/// in the root of this distribution.
/// By using this software in any fashion, you are agreeing to 
/// be bound by the terms of this license.
///
/// You must not remove this notice, or any other, from this
/// software.
/// ------------------------------------------------------------
////////////////////////////////////////////////////////////////


using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Kinect;

using GestIT;

namespace BodyGestIT
{
    public class BodyEventArgs : ExpEventArgs
    {
        public ClonableSkeleton Skeleton { get; set; }

        public BodyEventArgs()
            : base()
        {

        }

        public BodyEventArgs(ClonableSkeleton skeleton)
            : this()
        {
            this.Skeleton = skeleton;
        }

    }
}
