﻿////////////////////////////////////////////////////////////////
///
/// File: BodyEventArgs.cs
/// Author: Lucio Davide Spano
/// Last update: 27 July 2012
/// Description: This class represent the event arguments for 
///              the multitouch platform
/// To do: 
/// ------------------------------------------------------------
/// Copyright (c) 2012 Lucio Davide Spano 
///                     (lucio.davide.spano@isti.cnr.it)
/// 
/// The use and distribution terms for this software are 
/// contained in the file named license.txt, which can be found 
/// in the root of this distribution.
/// By using this software in any fashion, you are agreeing to 
/// be bound by the terms of this license.
///
/// You must not remove this notice, or any other, from this
/// software.
/// ------------------------------------------------------------
////////////////////////////////////////////////////////////////

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using GestIT;

namespace TouchGestIT
{
    public class TouchEventArgs : ExpEventArgs
    {
        public TouchPoint Point { get; set; }
        public TouchType Type { get; set; }

        public TouchEventArgs()
            : base()
        {
            Point = new TouchPoint();
            Type = TouchType.Start;
        }

        public TouchEventArgs(double x, double y, int id, TouchType type)
            : this()
        {
            Point.X = x;
            Point.Y = y;
            Type = type;
            Id = id;
        }
    }

    public class TouchPoint
    {
        public static TouchPoint ErrorPoint = new TouchPoint();

        public TouchPoint()
        {
            X = Double.MinValue;
            Y = Double.MinValue;
        }

        public TouchPoint(double x, double y)
        {
            this.X = x;
            this.Y = y;
        }

        public double X { get; set; }
        public double Y { get; set; }
    }
}
