package gestIT;

/**
 * Class that represent a generic checker for a constraint to a building block
 * 
 * If you need to add a specific constraint to a building block you should extend this class and override the Accept and Consume methods.
 * @author nicola
 *
 */
public class ExpContent {

	/**
	 * Constructor that create a new ExpContent
	 */
	public ExpContent() {}
	
	
    /**
     * Method that check if a specific event meet a constraint
     * @param args The arguments of the event
     * @param token The token that must be passed
     * @return True if the event meet the constraint, else otherwise
     */
	public boolean Accepts(ExpEventArgs args, Token token){
        return false;
    }

	/**
     * Method that consume an event
     * @param args The arguments of the event
     * @param token The token that must be passed
     * @return True if the event has been consumed
     */
    public boolean Consume(ExpEventArgs args, Token token){
        return false;
    }
}
