////////////////////////////////////////////////////////////////
///
/// File: Emitter.h
/// Author: Lucio Davide Spano
/// Last update: 27 July 2012
/// Description: This class represent the protocol for fowarding
///              low-level device events to the gesture expression
/// To do:
/// ------------------------------------------------------------
/// Copyright (c) 2012 Lucio Davide Spano
///                     (lucio.davide.spano@isti.cnr.it)
///
/// The use and distribution terms for this software are
/// contained in the file named license.txt, which can be found
/// in the root of this distribution.
/// By using this software in any fashion, you are agreeing to
/// be bound by the terms of this license.
///
/// You must not remove this notice, or any other, from this
/// software.
/// ------------------------------------------------------------
////////////////////////////////////////////////////////////////

#import <Foundation/Foundation.h>

@class TmpExp, SimpleTmpExp, ExpEventArgs, Token;

@interface Emitter : NSObject

{
    TmpExp* _gesture;
    NSMutableArray* _leafs;
    NSMutableArray* _flags;
    long time;
}

- (void) setGestureDescription:(TmpExp*) gesture;
- (void) feedDeviceEvent:(ExpEventArgs*) args;
- (void) startRecognition:(Token*) token;

@end
