////////////////////////////////////////////////////////////////
///
/// File: StateChangeHandler.h
/// Author: Lucio Davide Spano
/// Last update: 17 August 2012
/// Description: This file contains the protocol for listening
///              to gestures and sub-gestures completion events
/// To do:
/// ------------------------------------------------------------
/// Copyright (c) 2012 Lucio Davide Spano
///                     (lucio.davide.spano@isti.cnr.it)
///
/// The use and distribution terms for this software are
/// contained in the file named license.txt, which can be found
/// in the root of this distribution.
/// By using this software in any fashion, you are agreeing to
/// be bound by the terms of this license.
///
/// You must not remove this notice, or any other, from this
/// software.
/// ------------------------------------------------------------
////////////////////////////////////////////////////////////////

#import <Foundation/Foundation.h>
@class TmpExp, ExpEventArgs, Token;
@interface GestureListener : NSObject

@property SEL completedSelector;
@property SEL errorSelector;
@property SEL performingSelector;
@property id object;
- (id) initWithReceiverSelectors :(id) receiver withCompletedSelector: (SEL) completed;
- (id) initWithReceiverSelectors :(id) receiver withCompletedSelector: (SEL) completed withErrorSelector:(SEL) error;
- (id) initWithReceiverSelectors :(id) receiver withCompletedSelector: (SEL) completed withErrorSelector:(SEL) error withPerformingSelector:(SEL) performing;
- (void) completed :(TmpExp*) sender :(ExpEventArgs*) args :(Token*) token;
- (void) error :(TmpExp*) sender :(ExpEventArgs*) args :(Token*) token;
- (void) performing :(TmpExp*) sender :(ExpEventArgs*) args :(Token*) token;
@end
