//
//  TouchToken.h
//  GestIT
//
//  Created by Davide Spano on 27/08/12.
//  Copyright (c) 2012 Davide Spano. All rights reserved.
//

#import "Token.h"
@class TouchEventArgs;
@class TouchPoint;

typedef enum{
    Last,
    Previous,
    Path,
    StartLast,
    StartPrevious
}PointTracking;

@interface TouchToken : Token

{
    NSMutableArray* touches;
    int touchCount;
}

@property PointTracking tracking;

- (id) init;
- (id) initWithTracking:(PointTracking) tracking;
- (id) initWithTrackingCount:(PointTracking) tracking :(int)touchCount;
- (void) save:(TouchEventArgs*) args;
- (TouchPoint*) getPosition:(int) touchId;
- (TouchPoint*) getPreviousPosition:(int) touchId;
- (TouchPoint*) getStartPosition:(int) touchId;
- (TouchPoint*) getPositionAtTime:(int) touchId :(int) i;
- (int) getPathLength:(int) touchId;

@end
